Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.vocabulary
Class JenaModelSpec

    java.lang.Object
      com.hp.hpl.jena.vocabulary.JenaModelSpec

Deprecated. Use the ReasonerVocabulary equivalents instead; if there is no such equivalent, then you should be using the corresponding JenaAssembler properties.

    public class JenaModelSpec

extends java.lang.Object

The Jena Model Specification vocabulary, schema, and some conversion methods. See the modelspec and modelspec-details HOWTOs for discussion on how these fit into the ModelSpec design and implementation. TODO ensure these have explicit tests [they were developed implicitly from the ModelSpec tests].

Author:
  kers

Field Summary
`static java.lang.String` | `baseURI` Deprecated. The base URI for all the JenaModelSpec vocabulary items.
`static Property` | `dbClass` Deprecated. The property of an RDBMakerSpec that gives the string to use for class to load [if any] when making the connection.
`static Property` | `dbPassword` Deprecated. The property of an RDBMakerSpec that gives the string to use for the password when making the connection.
`static Property` | `dbType` Deprecated. The property of an RDBMakerSpec that gives the string to use for the database type when making the connection.
`static Property` | `dbURL` Deprecated. The property of an RDBMakerSpec that gives the string to use for the database URL when making the connection.
`static Property` | `dbUser` Deprecated. The property of an RDBMakerSpec that gives the string to use for the user name when making the connection.
`static Resource` | `DefaultModelSpec` Deprecated. DefaultModelSpec, a dynamic default ModelSpec
`static Property` | `docManager` Deprecated. The property of an OntModelSpec that gives the document manager resource.
`static Property` | `fileBase` Deprecated. The property of a FileMakerSpec that gives the fileBase [root directory] of the FileModelMaker.
`static Resource` | `FileMakerSpec` Deprecated. The class of FileMakerSpec resources [subclass of MakerSpec].
`static Resource` | `FileModelSpec` Deprecated. The class of FileModel specifications.
`static Property` | `hasConnection` Deprecated. The property of an RDBModelSpec that describes the connection
`static Property` | `hasRule` Deprecated. The property of a RuleSet that specifies a rule.
`static Property` | `importMaker` Deprecated. The property of an OntModelSpec that gives the MakerSpec used when manufacturing models for imports.
`static Resource` | `InfModelSpec` Deprecated. The class of InfModelSpec resources [subclass of ModelSpec].
`static Property` | `loadWith` Deprecated. The property of a ModelSpec that specifies the URI(s) from which it is to be loaded when it has been created.
`static Property` | `maker` Deprecated. The property of a ModelSpec that specifies the resource which describes the maker.
`static Resource` | `MakerSpec` Deprecated. The class of MakerSpec resources.
`static Resource` | `MemMakerSpec` Deprecated. The class of MemMakerSpec resources [subclass of MakerSpec].
`static Property` | `modelName` Deprecated. The property of a ModelSpec that specifies the model name.
`static Resource` | `ModelSpec` Deprecated. The class of ModelSpec resources.
`static Property` | `ontLanguage` Deprecated. The property of an OntModelSpec that gives the language URI string.
`static Resource` | `OntModelSpec` Deprecated. The class of OntModelSpec resources [subclass of InfModelSpec].
`static Resource` | `PlainModelSpec` Deprecated. The class of PlainModelSpec resources [subclass of ModelSpec].
`static Property` | `policyPath` Deprecated. The property of a document manager that gives its policy path string.
`static Resource` | `RDBMakerSpec` Deprecated. The class of RDBMakerSpec resources [subclass of MakerSpec].
`static Resource` | `RDBModelSpec` Deprecated. The class of RDBModelSpec resources [subclass of PlainModelSpec]
`static Property` | `reasoner` Deprecated. The property of a ReasonerSpec that gives the resource who's URI is that of the reasoner to use.
`static Property` | `reasonsWith` Deprecated. The property of an InfModelSpec that specifies the ReasonerSpec to use.
`static Property` | `reificationMode` Deprecated. The property of a MakerSpec that gives the reification mode for all its models.
`static Resource` | `rsConvenient` Deprecated. The resource representing reification mode Convenient.
`static Resource` | `rsMinimal` Deprecated. The resource representing reification mode Minimal.
`static Resource` | `rsStandard` Deprecated. The resource representing reification mode Standard.
`static Property` | `ruleSet` Deprecated. The property of a reasoner spec that specifies in-line rule-sets.
`static Property` | `ruleSetURL` Deprecated. The property of a reasoner spec that specifies a rule-set URL.
`static Property` | `schemaURL` Deprecated. The property of a reasoner spec that specifies a schema to load
`static Property` | `typeCreatedBy` Deprecated. The property of some subclass of jms:ModelSpec that specifies the name of the Java class that implements that ModelSpec.

Constructor Summary
`JenaModelSpec()` Deprecated.

Method Summary
`static ReificationStyle` | `findStyle(Node style)` Deprecated. Answer the Reifier.ReificationStyle value named by the argument, which should be a JenaModelSpec.rs[something] Node
`static ReificationStyle` | `findStyle(RDFNode style)` Deprecated. Answer the Reifier.ReificationStyle value named by the argument, which should be a JenaModelSpec.rs[something] value
`static Model` | `getSchema()` Deprecated. Answer the JenaModelSpec schema encoded into a model.
`static java.lang.String` | `getURI()` Deprecated. Answer the base URI for the JenaModelSpec vocabulary items.
`static Node` | `styleAsJMS(ReificationStyle style)` Deprecated. Answer the Node which corresponds to the supplied reification style.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### baseURI

    public static final java.lang.String baseURI

  Deprecated.
  The base URI for all the JenaModelSpec vocabulary items.

  See Also:
    Constant Field Values

### loadWith

    public static final Property loadWith

  Deprecated.
  The property of a ModelSpec that specifies the URI(s) from which it is to be loaded when it has been created.

### ontLanguage

    public static final Property ontLanguage

  Deprecated.
  The property of an OntModelSpec that gives the language URI string.

### docManager

    public static final Property docManager

  Deprecated.
  The property of an OntModelSpec that gives the document manager resource.

### hasConnection

    public static final Property hasConnection

  Deprecated.
  The property of an RDBModelSpec that describes the connection

### importMaker

    public static final Property importMaker

  Deprecated.
  The property of an OntModelSpec that gives the MakerSpec used when manufacturing models for imports.

### reasonsWith

    public static final Property reasonsWith

  Deprecated.
  The property of an InfModelSpec that specifies the ReasonerSpec to use.

### ruleSetURL

    public static final Property ruleSetURL

  Deprecated.
  The property of a reasoner spec that specifies a rule-set URL.

### ruleSet

    public static final Property ruleSet

  Deprecated.
  The property of a reasoner spec that specifies in-line rule-sets.

### modelName

    public static final Property modelName

  Deprecated.
  The property of a ModelSpec that specifies the model name.

### schemaURL

    public static final Property schemaURL

  Deprecated.
  The property of a reasoner spec that specifies a schema to load

### hasRule

    public static final Property hasRule

  Deprecated.
  The property of a RuleSet that specifies a rule.

### policyPath

    public static final Property policyPath

  Deprecated.
  The property of a document manager that gives its policy path string.

### dbUser

    public static final Property dbUser

  Deprecated.
  The property of an RDBMakerSpec that gives the string to use for the user name when making the connection.

### dbPassword

    public static final Property dbPassword

  Deprecated.
  The property of an RDBMakerSpec that gives the string to use for the password when making the connection.

### dbURL

    public static final Property dbURL

  Deprecated.
  The property of an RDBMakerSpec that gives the string to use for the database URL when making the connection.

### dbType

    public static final Property dbType

  Deprecated.
  The property of an RDBMakerSpec that gives the string to use for the database type when making the connection.

### dbClass

    public static final Property dbClass

  Deprecated.
  The property of an RDBMakerSpec that gives the string to use for class to load [if any] when making the connection.

### maker

    public static final Property maker

  Deprecated.
  The property of a ModelSpec that specifies the resource which describes the maker.

### reificationMode

    public static final Property reificationMode

  Deprecated.
  The property of a MakerSpec that gives the reification mode for all its models.

### reasoner

    public static final Property reasoner

  Deprecated.
  The property of a ReasonerSpec that gives the resource who's URI is that of the reasoner to use.

### fileBase

    public static final Property fileBase

  Deprecated.
  The property of a FileMakerSpec that gives the fileBase [root directory] of the FileModelMaker.

### typeCreatedBy

    public static final Property typeCreatedBy

  Deprecated.
  The property of some subclass of jms:ModelSpec that specifies the name of the Java class that implements that ModelSpec.

### MakerSpec

    public static final Resource MakerSpec

  Deprecated.
  The class of MakerSpec resources.

### FileMakerSpec

    public static final Resource FileMakerSpec

  Deprecated.
  The class of FileMakerSpec resources [subclass of MakerSpec].

### MemMakerSpec

    public static final Resource MemMakerSpec

  Deprecated.
  The class of MemMakerSpec resources [subclass of MakerSpec].

### RDBMakerSpec

    public static final Resource RDBMakerSpec

  Deprecated.
  The class of RDBMakerSpec resources [subclass of MakerSpec].

### ModelSpec

    public static final Resource ModelSpec

  Deprecated.
  The class of ModelSpec resources.

### DefaultModelSpec

    public static final Resource DefaultModelSpec

  Deprecated.
  DefaultModelSpec, a dynamic default ModelSpec

### PlainModelSpec

    public static final Resource PlainModelSpec

  Deprecated.
  The class of PlainModelSpec resources [subclass of ModelSpec].

### FileModelSpec

    public static final Resource FileModelSpec

  Deprecated.
  The class of FileModel specifications.

### InfModelSpec

    public static final Resource InfModelSpec

  Deprecated.
  The class of InfModelSpec resources [subclass of ModelSpec].

### OntModelSpec

    public static final Resource OntModelSpec

  Deprecated.
  The class of OntModelSpec resources [subclass of InfModelSpec].

### RDBModelSpec

    public static final Resource RDBModelSpec

  Deprecated.
  The class of RDBModelSpec resources [subclass of PlainModelSpec]

### rsStandard

    public static final Resource rsStandard

  Deprecated.
  The resource representing reification mode Standard.

### rsMinimal

    public static final Resource rsMinimal

  Deprecated.
  The resource representing reification mode Minimal.

### rsConvenient

    public static final Resource rsConvenient

  Deprecated.
  The resource representing reification mode Convenient.

Constructor Detail

### JenaModelSpec

    public JenaModelSpec()

  Deprecated.

Method Detail

### getURI

    public static java.lang.String getURI()

  Deprecated.
  Answer the base URI for the JenaModelSpec vocabulary items.

### getSchema

    public static Model getSchema()

  Deprecated.
  Answer the JenaModelSpec schema encoded into a model. This defines the subclass hierarchy and the essential domains of the properties. ["Essential" means "relied on by the ModelSpec engines".] The schema is not loaded until its first use. TODO make this model immutable once created.

### styleAsJMS

    public static Node styleAsJMS(ReificationStyle style)

  Deprecated.
  Answer the Node which corresponds to the supplied reification style. [Node, not resource, purely because the use happens in BaseGraphMaker, ie at the Graph level.]

  Parameters:
    `style` - the reification style for which the JenaModelSpec representation is required
  Returns:
    the Node version of the appropriate JenaModelSpec.rs[name] vocabulary item

### findStyle

    public static ReificationStyle findStyle(RDFNode style)

  Deprecated.
  Answer the Reifier.ReificationStyle value named by the argument, which should be a JenaModelSpec.rs[something] value

  Parameters:
    `style` - the JenaModelSpec name of the reifier style
  Returns:
    the actual Reifier.ReificationStyle value

### findStyle

    public static ReificationStyle findStyle(Node style)

  Deprecated.
  Answer the Reifier.ReificationStyle value named by the argument, which should be a JenaModelSpec.rs[something] Node

  Parameters:
    `style` - the JenaModelSpec name of the reifier style
  Returns:
    the actual Reifier.ReificationStyle value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP